#include "MenuTextRight_Player2Joystick.h"

InputSetting_Joystick* MenuTextRight_Player2Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Joystick ? gameFunc->GetInputSetting_Player2Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextRight_Player2Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_right;
}

std::weak_ptr<Entity> MenuTextRight_Player2Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player2(entityRes);
}

std::shared_ptr<Entity> CreateMenuTextRight_Player2Joystick()
{
	return std::make_shared<MenuTextRight_Player2Joystick>();
}


